com.thinkaurelius.titan.graphdb.relations

## Class CacheProperty

- java.lang.Object
- - com.thinkaurelius.titan.graphdb.internal.AbstractElement
  - - com.thinkaurelius.titan.graphdb.relations.AbstractTypedRelation
    - - com.thinkaurelius.titan.graphdb.relations.AbstractProperty
      - - com.thinkaurelius.titan.graphdb.relations.CacheProperty

- All Implemented Interfaces:
    Idfiable, TitanElement, TitanProperty, TitanRelation, InternalElement, InternalRelation, Removable, com.tinkerpop.blueprints.Element, Comparable<TitanElement>

      public class CacheProperty
      extends AbstractProperty

  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Property Summary

    - ### Properties inherited from class com.thinkaurelius.titan.graphdb.relations.AbstractProperty

      `isProperty`

  - ### Field Summary

    - ### Fields inherited from class com.thinkaurelius.titan.graphdb.relations.AbstractTypedRelation

      `type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CacheProperty(long id, PropertyKey key, InternalVertex start, Object value, Entry data)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte` | `getLifeCycle()`
    `long` | `getLongId()` Unique identifier for this entity.
    `<O> O` | `getPropertyDirect(RelationType type)`
    `Iterable<RelationType>` | `getPropertyKeysDirect()`
    `InternalRelation` | `it()` Returns this element in the context of the current transaction.
    `void` | `remove()` Deletes this entity and any incident edges or properties from the graph.
    `<O> O` | `removePropertyDirect(RelationType type)`
    `void` | `setPropertyDirect(RelationType type, Object value)`

    - ### Methods inherited from class com.thinkaurelius.titan.graphdb.relations.AbstractProperty

      `getArity, getLen, getPropertyKey, getValue, getVertex, getVertex, isEdge, isProperty, setVertexAt, toString`

    - ### Methods inherited from class com.thinkaurelius.titan.graphdb.relations.AbstractTypedRelation

      `getDirection, getId, getProperty, getProperty, getProperty, getProperty, getPropertyKeys, getType, isHidden, isIncidentOn, isLoop, removeProperty, removeProperty, setProperty, setProperty, setProperty, tx`

    - ### Methods inherited from class com.thinkaurelius.titan.graphdb.internal.AbstractElement

      `clone, compare, compareTo, equals, getCompareId, hashCode, hasId, isLoaded, isNew, isRemoved, isTemporaryId, setId`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.thinkaurelius.titan.core.TitanRelation

      `getDirection, getProperty, getType, isIncidentOn, isLoop, setProperty`

    - ### Methods inherited from interface com.thinkaurelius.titan.core.TitanElement

      `getId, getProperty, getProperty, hasId, isLoaded, isNew, isRemoved, removeProperty, removeProperty, setProperty, setProperty`

    - ### Methods inherited from interface com.tinkerpop.blueprints.Element

      `getPropertyKeys`

    - ### Methods inherited from interface com.thinkaurelius.titan.graphdb.internal.InternalElement

      `setId`

- - ### Constructor Detail

    - #### CacheProperty

          public CacheProperty(long id,
                       PropertyKey key,
                       InternalVertex start,
                       Object value,
                       Entry data)

  - ### Method Detail

    - #### it

          public InternalRelation it()

      Description copied from interface: `InternalElement`
      Returns this element in the context of the current transaction.
      Specified by:
        `it` in interface `InternalElement`
      Specified by:
        `it` in interface `InternalRelation`
      Overrides:
        `it` in class `AbstractTypedRelation`
      Returns:

    - #### getLongId

          public long getLongId()

      Description copied from interface: `TitanElement`
      Unique identifier for this entity. This id can be temporarily assigned and might change. Use `TitanElement.getId()` for the permanent id.
      Specified by:
        `getLongId` in interface `Idfiable`
      Specified by:
        `getLongId` in interface `TitanElement`
      Overrides:
        `getLongId` in class `AbstractElement`
      Returns:
        Unique long id

    - #### getPropertyDirect

          public <O> O getPropertyDirect(RelationType type)

    - #### getPropertyKeysDirect

          public Iterable<RelationType> getPropertyKeysDirect()

    - #### setPropertyDirect

          public void setPropertyDirect(RelationType type,
                               Object value)

    - #### removePropertyDirect

          public <O> O removePropertyDirect(RelationType type)

    - #### getLifeCycle

          public byte getLifeCycle()

      Returns:
        The lifecycle of this element
      See Also:
        `ElementLifeCycle`

    - #### remove

          public void remove()

      Description copied from interface: `TitanElement`
      Deletes this entity and any incident edges or properties from the graph.

Copyright © 2012–2014. All rights reserved.